Bug 1656029 - Describe token_duration in provisioning guide
Summary: Describe token_duration in provisioning guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.4.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Melanie Corr
QA Contact: Sergei Petrosian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 13:44 UTC by Kenny Tordeurs
Modified: 2019-09-26 17:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 15:50:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1197973 None None None Never

Internal Links: 1197973

Description Kenny Tordeurs 2018-12-04 13:44:22 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html-single/provisioning_guide/

Section Number and Name: 
Probably somewhere here:
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html-single/provisioning_guide/#Provisioning_Bare_Metal_Hosts-Creating_New_Hosts_with_PXE-less_Provisioning

Describe the issue: 
No mention about token_duration in provisioning guide

Suggestions for improvement: 

Satellite 6 offers a security feature in accessing ISO images being loaded by pxelinux.0 binary to the booting host. For each individual host to be kick-started, Satellite generates unique token that needs to be provided in URL of the iso image to be downloaded. Generating and providing of this token is done automatically via Satellite and TFTP server.

Validity of this token is X minutes by default in Satellite 6.0 and 360 minutes from Satellite 6.1 onwards. This time out is adjustable via token_duration (Administer => Settings => Provisioning) option. Therefore, reboot of the host shall be performed within configured time frame , since creating the host in Satellite for provisioning.

The token_duration can be disabled by setting it to 0

Additional information:

Comment 1 Melanie Corr 2018-12-04 14:01:46 UTC
Thank you for raising this bug.


Note You need to log in before you can comment on or make changes to this bug.